/*===========================================================================*/
/*   (Llib/module.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Llib/module.scm -indent -o objs/obj_u/Llib/module.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___MODULE_TYPE_DEFINITIONS
#define BGL___MODULE_TYPE_DEFINITIONS
#endif													// BGL___MODULE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_symbol1750z00zz__modulez00 = BUNSPEC;
	static obj_t BGl_z62modulezd2addzd2accessz12z70zz__modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1768z00zz__modulez00 = BUNSPEC;
	static obj_t BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__modulez00 = BUNSPEC;
	static obj_t BGl_resolvezd2abasezf2bucketz20zz__modulez00(obj_t, obj_t);
	static obj_t BGl_za2afileszd2tableza2zd2zz__modulez00 = BUNSPEC;
	static obj_t BGl_symbol1770z00zz__modulez00 = BUNSPEC;
	static obj_t BGl_symbol1772z00zz__modulez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00(void);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern bool_t fexists(char *);
	extern obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04z52bigloozd2modulezd2res1194ze3z14zz__modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__modulez00(void);
	static obj_t BGl_z62modulezd2abasezd2setz12z70zz__modulez00(obj_t, obj_t);
	static obj_t BGl_list1767z00zz__modulez00 = BUNSPEC;
	extern obj_t BGl_filezd2namezd2canonicaliza7eza7zz__osz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__modulez00(void);
	extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__modulez00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__modulez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__modulez00(void);
	static obj_t BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__modulez00(void);
	extern obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2abasezd2setz12z12zz__modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t bgl_directoryp(char *);
	extern obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	extern obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62modulezd2abasezb0zz__modulez00(obj_t);
	static obj_t BGl_modulezd2readzd2accesszd2filezd2zz__modulez00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__modulez00(void);
	extern obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2abasezd2zz__modulez00(void);
	static obj_t BGl_z62bigloozd2modulezd2resolverz62zz__modulez00(obj_t);
	static obj_t BGl_z62modulezd2defaultzd2resolverz62zz__modulez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(obj_t);
	static obj_t BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00(obj_t,
		obj_t);
	static obj_t BGl_resolvezd2abaseza2z70zz__modulez00(obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl_afilezd2tablezd2zz__modulez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31360ze3ze5zz__modulez00(obj_t, obj_t);
	static obj_t BGl_moduleszd2mutexzd2zz__modulez00 = BUNSPEC;
	extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_modulezd2abasezd2envz00zz__modulez00,
		BgL_bgl_za762moduleza7d2abas1783z00, BGl_z62modulezd2abasezb0zz__modulez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_modulezd2defaultzd2resolverzd2envzd2zz__modulez00,
		BgL_bgl_za762moduleza7d2defa1784z00,
		BGl_z62modulezd2defaultzd2resolverz62zz__modulez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2loadzd2accesszd2filezd2envz00zz__modulez00,
		BgL_bgl_za762moduleza7d2load1785z00,
		BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2resolverzd2setz12zd2envz12zz__modulez00,
		BgL_bgl_za762biglooza7d2modu1786z00,
		BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2resolverzd2envzd2zz__modulez00,
		BgL_bgl_za762biglooza7d2modu1787z00,
		BGl_z62bigloozd2modulezd2resolverz62zz__modulez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2abasezd2setz12zd2envzc0zz__modulez00,
		BgL_bgl_za762moduleza7d2abas1788z00,
		BGl_z62modulezd2abasezd2setz12z70zz__modulez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1749z00zz__modulez00,
		BgL_bgl_string1749za700za7za7_1789za7, "modules", 7);
	      DEFINE_STRING(BGl_string1751z00zz__modulez00,
		BgL_bgl_string1751za700za7za7_1790za7, "bigloo-module-resolver-set!", 27);
	      DEFINE_STRING(BGl_string1752z00zz__modulez00,
		BgL_bgl_string1752za700za7za7_1791za7, "Illegal resolver", 16);
	      DEFINE_STRING(BGl_string1753z00zz__modulez00,
		BgL_bgl_string1753za700za7za7_1792za7,
		"/tmp/bigloo/runtime/Llib/module.scm", 35);
	      DEFINE_STRING(BGl_string1754z00zz__modulez00,
		BgL_bgl_string1754za700za7za7_1793za7, "&bigloo-module-resolver-set!", 28);
	      DEFINE_STRING(BGl_string1755z00zz__modulez00,
		BgL_bgl_string1755za700za7za7_1794za7, "procedure", 9);
	      DEFINE_STRING(BGl_string1756z00zz__modulez00,
		BgL_bgl_string1756za700za7za7_1795za7, ".", 1);
	      DEFINE_STRING(BGl_string1757z00zz__modulez00,
		BgL_bgl_string1757za700za7za7_1796za7, "&module-default-resolver", 24);
	      DEFINE_STRING(BGl_string1758z00zz__modulez00,
		BgL_bgl_string1758za700za7za7_1797za7, "symbol", 6);
	      DEFINE_STRING(BGl_string1759z00zz__modulez00,
		BgL_bgl_string1759za700za7za7_1798za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string1760z00zz__modulez00,
		BgL_bgl_string1760za700za7za7_1799za7, ".scm", 4);
	      DEFINE_STRING(BGl_string1761z00zz__modulez00,
		BgL_bgl_string1761za700za7za7_1800za7, "\"", 1);
	      DEFINE_STRING(BGl_string1762z00zz__modulez00,
		BgL_bgl_string1762za700za7za7_1801za7, "] in directory \"", 16);
	      DEFINE_STRING(BGl_string1763z00zz__modulez00,
		BgL_bgl_string1763za700za7za7_1802za7, " ", 1);
	      DEFINE_STRING(BGl_string1764z00zz__modulez00,
		BgL_bgl_string1764za700za7za7_1803za7, " [", 2);
	      DEFINE_STRING(BGl_string1765z00zz__modulez00,
		BgL_bgl_string1765za700za7za7_1804za7, "access redefinition -- ", 23);
	      DEFINE_STRING(BGl_string1766z00zz__modulez00,
		BgL_bgl_string1766za700za7za7_1805za7, "add-access!", 11);
	      DEFINE_STRING(BGl_string1769z00zz__modulez00,
		BgL_bgl_string1769za700za7za7_1806za7, "set-cdr!", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2addzd2accessz12zd2envzc0zz__modulez00,
		BgL_bgl_za762moduleza7d2addza71807za7,
		BGl_z62modulezd2addzd2accessz12z70zz__modulez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1771z00zz__modulez00,
		BgL_bgl_string1771za700za7za7_1808za7, "cell", 4);
	      DEFINE_STRING(BGl_string1773z00zz__modulez00,
		BgL_bgl_string1773za700za7za7_1809za7, "files", 5);
	      DEFINE_STRING(BGl_string1774z00zz__modulez00,
		BgL_bgl_string1774za700za7za7_1810za7, "&module-add-access!", 19);
	      DEFINE_STRING(BGl_string1775z00zz__modulez00,
		BgL_bgl_string1775za700za7za7_1811za7, "pair", 4);
	      DEFINE_STRING(BGl_string1776z00zz__modulez00,
		BgL_bgl_string1776za700za7za7_1812za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1777z00zz__modulez00,
		BgL_bgl_string1777za700za7za7_1813za7, "Illegal entry -- ", 17);
	      DEFINE_STRING(BGl_string1778z00zz__modulez00,
		BgL_bgl_string1778za700za7za7_1814za7, "module-read-access-file", 23);
	      DEFINE_STRING(BGl_string1779z00zz__modulez00,
		BgL_bgl_string1779za700za7za7_1815za7, ".afile", 6);
	      DEFINE_STRING(BGl_string1780z00zz__modulez00,
		BgL_bgl_string1780za700za7za7_1816za7, "&module-load-access-file", 24);
	      DEFINE_STRING(BGl_string1781z00zz__modulez00,
		BgL_bgl_string1781za700za7za7_1817za7, "", 0);
	      DEFINE_STRING(BGl_string1782z00zz__modulez00,
		BgL_bgl_string1782za700za7za7_1818za7, "__module", 8);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1750z00zz__modulez00));
		     ADD_ROOT((void *) (&BGl_symbol1768z00zz__modulez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__modulez00));
		     ADD_ROOT((void *) (&BGl_za2afileszd2tableza2zd2zz__modulez00));
		     ADD_ROOT((void *) (&BGl_symbol1770z00zz__modulez00));
		     ADD_ROOT((void *) (&BGl_symbol1772z00zz__modulez00));
		     ADD_ROOT((void *) (&BGl_list1767z00zz__modulez00));
		   
			 ADD_ROOT((void *) (&BGl_z52bigloozd2modulezd2resolverz52zz__modulez00));
		     ADD_ROOT((void *) (&BGl_afilezd2tablezd2zz__modulez00));
		     ADD_ROOT((void *) (&BGl_moduleszd2mutexzd2zz__modulez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long
		BgL_checksumz00_2131, char *BgL_fromz00_2132)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__modulez00))
				{
					BGl_requirezd2initializa7ationz75zz__modulez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__modulez00();
					BGl_cnstzd2initzd2zz__modulez00();
					BGl_importedzd2moduleszd2initz00zz__modulez00();
					return BGl_toplevelzd2initzd2zz__modulez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			BGl_symbol1750z00zz__modulez00 =
				bstring_to_symbol(BGl_string1751z00zz__modulez00);
			BGl_symbol1768z00zz__modulez00 =
				bstring_to_symbol(BGl_string1769z00zz__modulez00);
			BGl_symbol1770z00zz__modulez00 =
				bstring_to_symbol(BGl_string1771z00zz__modulez00);
			BGl_symbol1772z00zz__modulez00 =
				bstring_to_symbol(BGl_string1773z00zz__modulez00);
			return (BGl_list1767z00zz__modulez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1768z00zz__modulez00,
					MAKE_YOUNG_PAIR(BGl_symbol1770z00zz__modulez00,
						MAKE_YOUNG_PAIR(BGl_symbol1772z00zz__modulez00, BNIL))), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			BGl_moduleszd2mutexzd2zz__modulez00 =
				bgl_make_mutex(BGl_string1749z00zz__modulez00);
			BGl_afilezd2tablezd2zz__modulez00 = BNIL;
			BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 =
				BGl_modulezd2defaultzd2resolverzd2envzd2zz__modulez00;
			{	/* Llib/module.scm 218 */
				obj_t BgL_list1175z00_1118;

				BgL_list1175z00_1118 = MAKE_YOUNG_PAIR(BINT(256L), BNIL);
				return (BGl_za2afileszd2tableza2zd2zz__modulez00 =
					BGl_makezd2hashtablezd2zz__hashz00(BgL_list1175z00_1118), BUNSPEC);
			}
		}

	}



/* module-abase */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2abasezd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 75 */
			return BGL_ABASE();
		}

	}



/* &module-abase */
	obj_t BGl_z62modulezd2abasezb0zz__modulez00(obj_t BgL_envz00_2063)
	{
		{	/* Llib/module.scm 75 */
			return BGl_modulezd2abasezd2zz__modulez00();
		}

	}



/* module-abase-set! */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2abasezd2setz12z12zz__modulez00(obj_t
		BgL_valz00_3)
	{
		{	/* Llib/module.scm 78 */
			return BGL_ABASE_SET(BgL_valz00_3);
		}

	}



/* &module-abase-set! */
	obj_t BGl_z62modulezd2abasezd2setz12z70zz__modulez00(obj_t BgL_envz00_2064,
		obj_t BgL_valz00_2065)
	{
		{	/* Llib/module.scm 78 */
			return BGl_modulezd2abasezd2setz12z12zz__modulez00(BgL_valz00_2065);
		}

	}



/* bigloo-module-resolver */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00(void)
	{
		{	/* Llib/module.scm 91 */
			return BGl_z52bigloozd2modulezd2resolverz52zz__modulez00;
		}

	}



/* &bigloo-module-resolver */
	obj_t BGl_z62bigloozd2modulezd2resolverz62zz__modulez00(obj_t BgL_envz00_2066)
	{
		{	/* Llib/module.scm 91 */
			return BGl_bigloozd2modulezd2resolverz00zz__modulez00();
		}

	}



/* bigloo-module-resolver-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00(obj_t
		BgL_resolvez00_4)
	{
		{	/* Llib/module.scm 94 */
			{	/* Llib/module.scm 95 */
				obj_t BgL_top1821z00_2158;

				BgL_top1821z00_2158 = BGL_EXITD_TOP_AS_OBJ();
				BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00);
				BGL_EXITD_PUSH_PROTECT(BgL_top1821z00_2158,
					BGl_moduleszd2mutexzd2zz__modulez00);
				BUNSPEC;
				{	/* Llib/module.scm 95 */
					obj_t BgL_tmp1820z00_2157;

					if (PROCEDURE_CORRECT_ARITYP(BgL_resolvez00_4, (int) (2L)))
						{	/* Llib/module.scm 100 */
							obj_t BgL_zc3z04z52bigloozd2modulezd2res1194ze3z76_2067;

							BgL_zc3z04z52bigloozd2modulezd2res1194ze3z76_2067 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04z52bigloozd2modulezd2res1194ze3z14zz__modulez00,
								(int) (3L), (int) (1L));
							PROCEDURE_SET(BgL_zc3z04z52bigloozd2modulezd2res1194ze3z76_2067,
								(int) (0L), BgL_resolvez00_4);
							BgL_tmp1820z00_2157 =
								(BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 =
								BgL_zc3z04z52bigloozd2modulezd2res1194ze3z76_2067, BUNSPEC);
						}
					else
						{	/* Llib/module.scm 97 */
							if (PROCEDURE_CORRECT_ARITYP(BgL_resolvez00_4, (int) (3L)))
								{	/* Llib/module.scm 101 */
									BgL_tmp1820z00_2157 =
										(BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 =
										BgL_resolvez00_4, BUNSPEC);
								}
							else
								{	/* Llib/module.scm 101 */
									BgL_tmp1820z00_2157 =
										BGl_errorz00zz__errorz00(BGl_symbol1750z00zz__modulez00,
										BGl_string1752z00zz__modulez00, BgL_resolvez00_4);
								}
						}
					BGL_EXITD_POP_PROTECT(BgL_top1821z00_2158);
					BUNSPEC;
					BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00);
					return BgL_tmp1820z00_2157;
				}
			}
		}

	}



/* &bigloo-module-resolver-set! */
	obj_t BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00(obj_t
		BgL_envz00_2068, obj_t BgL_resolvez00_2069)
	{
		{	/* Llib/module.scm 94 */
			{	/* Llib/module.scm 95 */
				obj_t BgL_auxz00_2176;

				if (PROCEDUREP(BgL_resolvez00_2069))
					{	/* Llib/module.scm 95 */
						BgL_auxz00_2176 = BgL_resolvez00_2069;
					}
				else
					{
						obj_t BgL_auxz00_2179;

						BgL_auxz00_2179 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(3527L), BGl_string1754z00zz__modulez00,
							BGl_string1755z00zz__modulez00, BgL_resolvez00_2069);
						FAILURE(BgL_auxz00_2179, BFALSE, BFALSE);
					}
				return
					BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00
					(BgL_auxz00_2176);
			}
		}

	}



/* &<@%bigloo-module-res1194> */
	obj_t BGl_z62zc3z04z52bigloozd2modulezd2res1194ze3z14zz__modulez00(obj_t
		BgL_envz00_2070, obj_t BgL_modulez00_2072, obj_t BgL_filesz00_2073,
		obj_t BgL_abasez00_2074)
	{
		{	/* Llib/module.scm 100 */
			{	/* Llib/module.scm 100 */
				obj_t BgL_resolvez00_2071;

				BgL_resolvez00_2071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2070, (int) (0L)));
				return
					(VA_PROCEDUREP(BgL_resolvez00_2071) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_resolvez00_2071)) (BgL_resolvez00_2071,
						BgL_modulez00_2072, BgL_abasez00_2074, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_resolvez00_2071)) (BgL_resolvez00_2071,
						BgL_modulez00_2072, BgL_abasez00_2074));
			}
		}

	}



/* &module-default-resolver */
	obj_t BGl_z62modulezd2defaultzd2resolverz62zz__modulez00(obj_t
		BgL_envz00_2059, obj_t BgL_modz00_2060, obj_t BgL_filesz00_2061,
		obj_t BgL_abasez00_2062)
	{
		{	/* Llib/module.scm 113 */
			{	/* Llib/module.scm 114 */
				obj_t BgL_modz00_2103;
				obj_t BgL_filesz00_2104;

				if (SYMBOLP(BgL_modz00_2060))
					{	/* Llib/module.scm 114 */
						BgL_modz00_2103 = BgL_modz00_2060;
					}
				else
					{
						obj_t BgL_auxz00_2194;

						BgL_auxz00_2194 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(4515L), BGl_string1757z00zz__modulez00,
							BGl_string1758z00zz__modulez00, BgL_modz00_2060);
						FAILURE(BgL_auxz00_2194, BFALSE, BFALSE);
					}
				{	/* Llib/module.scm 114 */
					bool_t BgL_test1826z00_2198;

					if (PAIRP(BgL_filesz00_2061))
						{	/* Llib/module.scm 114 */
							BgL_test1826z00_2198 = ((bool_t) 1);
						}
					else
						{	/* Llib/module.scm 114 */
							BgL_test1826z00_2198 = NULLP(BgL_filesz00_2061);
						}
					if (BgL_test1826z00_2198)
						{	/* Llib/module.scm 114 */
							BgL_filesz00_2104 = BgL_filesz00_2061;
						}
					else
						{
							obj_t BgL_auxz00_2202;

							BgL_auxz00_2202 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
								BINT(4515L), BGl_string1757z00zz__modulez00,
								BGl_string1759z00zz__modulez00, BgL_filesz00_2061);
							FAILURE(BgL_auxz00_2202, BFALSE, BFALSE);
						}
				}
				{	/* Llib/module.scm 114 */
					obj_t BgL_top1829z00_2207;

					BgL_top1829z00_2207 = BGL_EXITD_TOP_AS_OBJ();
					BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00);
					BGL_EXITD_PUSH_PROTECT(BgL_top1829z00_2207,
						BGl_moduleszd2mutexzd2zz__modulez00);
					BUNSPEC;
					{	/* Llib/module.scm 114 */
						obj_t BgL_tmp1828z00_2206;

						if (NULLP(BgL_filesz00_2104))
							{	/* Llib/module.scm 116 */
								if (NULLP(BgL_abasez00_2062))
									{	/* Llib/module.scm 150 */
										obj_t BgL_basez00_2105;

										BgL_basez00_2105 =
											BGl_assocz00zz__r4_pairs_and_lists_6_3z00
											(BGl_string1756z00zz__modulez00,
											BGl_afilezd2tablezd2zz__modulez00);
										if (PAIRP(BgL_basez00_2105))
											{	/* Llib/module.scm 151 */
												BgL_tmp1828z00_2206 =
													BGl_resolvezd2abasezf2bucketz20zz__modulez00
													(BgL_modz00_2103, BgL_basez00_2105);
											}
										else
											{	/* Llib/module.scm 151 */
												BgL_tmp1828z00_2206 = BNIL;
											}
									}
								else
									{	/* Llib/module.scm 119 */
										if (STRINGP(BgL_abasez00_2062))
											{	/* Llib/module.scm 150 */
												obj_t BgL_basez00_2106;

												BgL_basez00_2106 =
													BGl_assocz00zz__r4_pairs_and_lists_6_3z00
													(BgL_abasez00_2062,
													BGl_afilezd2tablezd2zz__modulez00);
												if (PAIRP(BgL_basez00_2106))
													{	/* Llib/module.scm 151 */
														BgL_tmp1828z00_2206 =
															BGl_resolvezd2abasezf2bucketz20zz__modulez00
															(BgL_modz00_2103, BgL_basez00_2106);
													}
												else
													{	/* Llib/module.scm 151 */
														BgL_tmp1828z00_2206 = BNIL;
													}
											}
										else
											{	/* Llib/module.scm 121 */
												if (PAIRP(BgL_abasez00_2062))
													{
														obj_t BgL_abasez00_2108;

														BgL_abasez00_2108 = BgL_abasez00_2062;
													BgL_loopz00_2107:
														if (PAIRP(BgL_abasez00_2108))
															{	/* Llib/module.scm 126 */
																obj_t BgL_resolvez00_2109;

																{	/* Llib/module.scm 126 */
																	obj_t BgL_arg1205z00_2110;

																	BgL_arg1205z00_2110 = CAR(BgL_abasez00_2108);
																	{	/* Llib/module.scm 150 */
																		obj_t BgL_basez00_2111;

																		BgL_basez00_2111 =
																			BGl_assocz00zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg1205z00_2110,
																			BGl_afilezd2tablezd2zz__modulez00);
																		if (PAIRP(BgL_basez00_2111))
																			{	/* Llib/module.scm 151 */
																				BgL_resolvez00_2109 =
																					BGl_resolvezd2abasezf2bucketz20zz__modulez00
																					(BgL_modz00_2103, BgL_basez00_2111);
																			}
																		else
																			{	/* Llib/module.scm 151 */
																				BgL_resolvez00_2109 = BNIL;
																			}
																	}
																}
																if (PAIRP(BgL_resolvez00_2109))
																	{	/* Llib/module.scm 127 */
																		BgL_tmp1828z00_2206 = BgL_resolvez00_2109;
																	}
																else
																	{
																		obj_t BgL_abasez00_2236;

																		BgL_abasez00_2236 = CDR(BgL_abasez00_2108);
																		BgL_abasez00_2108 = BgL_abasez00_2236;
																		goto BgL_loopz00_2107;
																	}
															}
														else
															{	/* Llib/module.scm 125 */
																BgL_tmp1828z00_2206 = BNIL;
															}
													}
												else
													{	/* Llib/module.scm 123 */
														BgL_tmp1828z00_2206 =
															BGl_resolvezd2abaseza2z70zz__modulez00
															(BgL_modz00_2103);
													}
											}
									}
							}
						else
							{	/* Llib/module.scm 116 */
								BGl_modulezd2addzd2accessz12z12zz__modulez00(BgL_modz00_2103,
									BgL_filesz00_2104, BgL_abasez00_2062);
								BgL_tmp1828z00_2206 = BgL_filesz00_2104;
							}
						BGL_EXITD_POP_PROTECT(BgL_top1829z00_2207);
						BUNSPEC;
						BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00);
						return BgL_tmp1828z00_2206;
					}
				}
			}
		}

	}



/* resolve-abase* */
	obj_t BGl_resolvezd2abaseza2z70zz__modulez00(obj_t BgL_modz00_8)
	{
		{	/* Llib/module.scm 137 */
			{
				obj_t BgL_afilez00_1151;

				BgL_afilez00_1151 = BGl_afilezd2tablezd2zz__modulez00;
			BgL_zc3z04anonymousza31206ze3z87_1152:
				if (NULLP(BgL_afilez00_1151))
					{	/* Llib/module.scm 139 */
						return BNIL;
					}
				else
					{	/* Llib/module.scm 141 */
						obj_t BgL_fz00_1154;

						{	/* Llib/module.scm 141 */
							obj_t BgL_arg1211z00_1157;

							BgL_arg1211z00_1157 = CAR(((obj_t) BgL_afilez00_1151));
							BgL_fz00_1154 =
								BGl_resolvezd2abasezf2bucketz20zz__modulez00(BgL_modz00_8,
								BgL_arg1211z00_1157);
						}
						if (PAIRP(BgL_fz00_1154))
							{	/* Llib/module.scm 142 */
								return BgL_fz00_1154;
							}
						else
							{	/* Llib/module.scm 144 */
								obj_t BgL_arg1209z00_1156;

								BgL_arg1209z00_1156 = CDR(((obj_t) BgL_afilez00_1151));
								{
									obj_t BgL_afilez00_2251;

									BgL_afilez00_2251 = BgL_arg1209z00_1156;
									BgL_afilez00_1151 = BgL_afilez00_2251;
									goto BgL_zc3z04anonymousza31206ze3z87_1152;
								}
							}
					}
			}
		}

	}



/* resolve-abase/bucket */
	obj_t BGl_resolvezd2abasezf2bucketz20zz__modulez00(obj_t BgL_modz00_11,
		obj_t BgL_basez00_12)
	{
		{	/* Llib/module.scm 158 */
			{	/* Llib/module.scm 159 */
				obj_t BgL_cellz00_1161;

				BgL_cellz00_1161 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modz00_11,
					CDR(((obj_t) BgL_basez00_12)));
				if (PAIRP(BgL_cellz00_1161))
					{	/* Llib/module.scm 161 */
						obj_t BgL_hook1075z00_1163;

						BgL_hook1075z00_1163 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{	/* Llib/module.scm 161 */
							obj_t BgL_g1077z00_1164;

							BgL_g1077z00_1164 = CDR(BgL_cellz00_1161);
							{
								obj_t BgL_l1072z00_1166;
								obj_t BgL_h1073z00_1167;

								BgL_l1072z00_1166 = BgL_g1077z00_1164;
								BgL_h1073z00_1167 = BgL_hook1075z00_1163;
							BgL_zc3z04anonymousza31214ze3z87_1168:
								if (NULLP(BgL_l1072z00_1166))
									{	/* Llib/module.scm 161 */
										return CDR(BgL_hook1075z00_1163);
									}
								else
									{	/* Llib/module.scm 161 */
										bool_t BgL_test1843z00_2262;

										{	/* Llib/module.scm 161 */
											obj_t BgL_tmpz00_2263;

											BgL_tmpz00_2263 = CAR(((obj_t) BgL_l1072z00_1166));
											BgL_test1843z00_2262 = STRINGP(BgL_tmpz00_2263);
										}
										if (BgL_test1843z00_2262)
											{	/* Llib/module.scm 161 */
												obj_t BgL_nh1074z00_1172;

												{	/* Llib/module.scm 161 */
													obj_t BgL_arg1220z00_1174;

													BgL_arg1220z00_1174 =
														CAR(((obj_t) BgL_l1072z00_1166));
													BgL_nh1074z00_1172 =
														MAKE_YOUNG_PAIR(BgL_arg1220z00_1174, BNIL);
												}
												SET_CDR(BgL_h1073z00_1167, BgL_nh1074z00_1172);
												{	/* Llib/module.scm 161 */
													obj_t BgL_arg1219z00_1173;

													BgL_arg1219z00_1173 =
														CDR(((obj_t) BgL_l1072z00_1166));
													{
														obj_t BgL_h1073z00_2274;
														obj_t BgL_l1072z00_2273;

														BgL_l1072z00_2273 = BgL_arg1219z00_1173;
														BgL_h1073z00_2274 = BgL_nh1074z00_1172;
														BgL_h1073z00_1167 = BgL_h1073z00_2274;
														BgL_l1072z00_1166 = BgL_l1072z00_2273;
														goto BgL_zc3z04anonymousza31214ze3z87_1168;
													}
												}
											}
										else
											{	/* Llib/module.scm 161 */
												obj_t BgL_arg1221z00_1175;

												BgL_arg1221z00_1175 = CDR(((obj_t) BgL_l1072z00_1166));
												{
													obj_t BgL_l1072z00_2277;

													BgL_l1072z00_2277 = BgL_arg1221z00_1175;
													BgL_l1072z00_1166 = BgL_l1072z00_2277;
													goto BgL_zc3z04anonymousza31214ze3z87_1168;
												}
											}
									}
							}
						}
					}
				else
					{	/* Llib/module.scm 162 */
						obj_t BgL_fz00_1178;

						{	/* Llib/module.scm 162 */
							obj_t BgL_arg1225z00_1181;

							{	/* Llib/module.scm 162 */
								obj_t BgL_arg1427z00_1754;

								BgL_arg1427z00_1754 = SYMBOL_TO_STRING(BgL_modz00_11);
								BgL_arg1225z00_1181 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1427z00_1754);
							}
							BgL_fz00_1178 =
								string_append(BgL_arg1225z00_1181,
								BGl_string1760z00zz__modulez00);
						}
						if (fexists(BSTRING_TO_STRING(BgL_fz00_1178)))
							{	/* Llib/module.scm 164 */
								obj_t BgL_list1224z00_1180;

								BgL_list1224z00_1180 = MAKE_YOUNG_PAIR(BgL_fz00_1178, BNIL);
								return BgL_list1224z00_1180;
							}
						else
							{	/* Llib/module.scm 163 */
								return BNIL;
							}
					}
			}
		}

	}



/* module-add-access-inner! */
	obj_t BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(obj_t
		BgL_modulez00_13, obj_t BgL_filesz00_14, obj_t BgL_abasez00_15)
	{
		{	/* Llib/module.scm 170 */
			{	/* Llib/module.scm 171 */
				obj_t BgL_basez00_1183;

				BgL_basez00_1183 =
					BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_abasez00_15,
					BGl_afilezd2tablezd2zz__modulez00);
				if (CBOOL(BgL_basez00_1183))
					{	/* Llib/module.scm 175 */
						obj_t BgL_cellz00_1184;

						BgL_cellz00_1184 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_13,
							CDR(((obj_t) BgL_basez00_1183)));
						if (CBOOL(BgL_cellz00_1184))
							{	/* Llib/module.scm 176 */
								if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CDR(
											((obj_t) BgL_cellz00_1184)), BgL_filesz00_14))
									{	/* Llib/module.scm 178 */
										return BFALSE;
									}
								else
									{	/* Llib/module.scm 178 */
										{	/* Llib/module.scm 181 */
											obj_t BgL_arg1232z00_1187;

											BgL_arg1232z00_1187 = CDR(((obj_t) BgL_cellz00_1184));
											{	/* Llib/module.scm 179 */
												obj_t BgL_list1233z00_1188;

												{	/* Llib/module.scm 179 */
													obj_t BgL_arg1234z00_1189;

													{	/* Llib/module.scm 179 */
														obj_t BgL_arg1237z00_1190;

														{	/* Llib/module.scm 179 */
															obj_t BgL_arg1240z00_1191;

															{	/* Llib/module.scm 179 */
																obj_t BgL_arg1241z00_1192;

																{	/* Llib/module.scm 179 */
																	obj_t BgL_arg1242z00_1193;

																	{	/* Llib/module.scm 179 */
																		obj_t BgL_arg1244z00_1194;

																		{	/* Llib/module.scm 179 */
																			obj_t BgL_arg1246z00_1195;

																			{	/* Llib/module.scm 179 */
																				obj_t BgL_arg1247z00_1196;

																				{	/* Llib/module.scm 179 */
																					obj_t BgL_arg1248z00_1197;

																					BgL_arg1248z00_1197 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1761z00zz__modulez00,
																						BNIL);
																					BgL_arg1247z00_1196 =
																						MAKE_YOUNG_PAIR(BgL_abasez00_15,
																						BgL_arg1248z00_1197);
																				}
																				BgL_arg1246z00_1195 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1762z00zz__modulez00,
																					BgL_arg1247z00_1196);
																			}
																			BgL_arg1244z00_1194 =
																				MAKE_YOUNG_PAIR(BgL_filesz00_14,
																				BgL_arg1246z00_1195);
																		}
																		BgL_arg1242z00_1193 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1763z00zz__modulez00,
																			BgL_arg1244z00_1194);
																	}
																	BgL_arg1241z00_1192 =
																		MAKE_YOUNG_PAIR(BgL_arg1232z00_1187,
																		BgL_arg1242z00_1193);
																}
																BgL_arg1240z00_1191 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1764z00zz__modulez00,
																	BgL_arg1241z00_1192);
															}
															BgL_arg1237z00_1190 =
																MAKE_YOUNG_PAIR(BgL_modulez00_13,
																BgL_arg1240z00_1191);
														}
														BgL_arg1234z00_1189 =
															MAKE_YOUNG_PAIR(BGl_string1765z00zz__modulez00,
															BgL_arg1237z00_1190);
													}
													BgL_list1233z00_1188 =
														MAKE_YOUNG_PAIR(BGl_string1766z00zz__modulez00,
														BgL_arg1234z00_1189);
												}
												BGl_warningz00zz__errorz00(BgL_list1233z00_1188);
											}
										}
										return BGl_list1767z00zz__modulez00;
									}
							}
						else
							{	/* Llib/module.scm 177 */
								obj_t BgL_arg1250z00_1199;

								{	/* Llib/module.scm 177 */
									obj_t BgL_arg1252z00_1200;
									obj_t BgL_arg1253z00_1201;

									BgL_arg1252z00_1200 =
										MAKE_YOUNG_PAIR(BgL_modulez00_13, BgL_filesz00_14);
									BgL_arg1253z00_1201 = CDR(((obj_t) BgL_basez00_1183));
									BgL_arg1250z00_1199 =
										MAKE_YOUNG_PAIR(BgL_arg1252z00_1200, BgL_arg1253z00_1201);
								}
								{	/* Llib/module.scm 177 */
									obj_t BgL_tmpz00_2314;

									BgL_tmpz00_2314 = ((obj_t) BgL_basez00_1183);
									return SET_CDR(BgL_tmpz00_2314, BgL_arg1250z00_1199);
								}
							}
					}
				else
					{	/* Llib/module.scm 174 */
						obj_t BgL_arg1256z00_1203;

						{	/* Llib/module.scm 174 */
							obj_t BgL_arg1257z00_1204;

							{	/* Llib/module.scm 174 */
								obj_t BgL_arg1259z00_1205;

								BgL_arg1259z00_1205 =
									MAKE_YOUNG_PAIR(BgL_modulez00_13, BgL_filesz00_14);
								{	/* Llib/module.scm 174 */
									obj_t BgL_list1260z00_1206;

									BgL_list1260z00_1206 =
										MAKE_YOUNG_PAIR(BgL_arg1259z00_1205, BNIL);
									BgL_arg1257z00_1204 = BgL_list1260z00_1206;
								}
							}
							BgL_arg1256z00_1203 =
								MAKE_YOUNG_PAIR(BgL_abasez00_15, BgL_arg1257z00_1204);
						}
						return (BGl_afilezd2tablezd2zz__modulez00 =
							MAKE_YOUNG_PAIR(BgL_arg1256z00_1203,
								BGl_afilezd2tablezd2zz__modulez00), BUNSPEC);
					}
			}
		}

	}



/* module-add-access! */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t
		BgL_modulez00_16, obj_t BgL_filesz00_17, obj_t BgL_abasez00_18)
	{
		{	/* Llib/module.scm 189 */
			{
				obj_t BgL_fz00_1222;
				obj_t BgL_basez00_1223;

				{	/* Llib/module.scm 197 */
					obj_t BgL_top1849z00_2322;

					BgL_top1849z00_2322 = BGL_EXITD_TOP_AS_OBJ();
					BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00);
					BGL_EXITD_PUSH_PROTECT(BgL_top1849z00_2322,
						BGl_moduleszd2mutexzd2zz__modulez00);
					BUNSPEC;
					{	/* Llib/module.scm 197 */
						obj_t BgL_tmp1848z00_2321;

						{	/* Llib/module.scm 199 */
							obj_t BgL_arg1265z00_1208;

							{	/* Llib/module.scm 199 */
								obj_t BgL_head1080z00_1211;

								BgL_head1080z00_1211 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1078z00_1802;
									obj_t BgL_tail1081z00_1803;

									BgL_l1078z00_1802 = BgL_filesz00_17;
									BgL_tail1081z00_1803 = BgL_head1080z00_1211;
								BgL_zc3z04anonymousza31267ze3z87_1801:
									if (NULLP(BgL_l1078z00_1802))
										{	/* Llib/module.scm 199 */
											BgL_arg1265z00_1208 = CDR(BgL_head1080z00_1211);
										}
									else
										{	/* Llib/module.scm 199 */
											obj_t BgL_newtail1082z00_1810;

											{	/* Llib/module.scm 199 */
												obj_t BgL_arg1276z00_1811;

												{	/* Llib/module.scm 199 */
													obj_t BgL_fz00_1812;

													BgL_fz00_1812 = CAR(((obj_t) BgL_l1078z00_1802));
													BgL_fz00_1222 = BgL_fz00_1812;
													BgL_basez00_1223 = BgL_abasez00_18;
													{	/* Llib/module.scm 192 */
														bool_t BgL_test1851z00_2332;

														if ((STRING_LENGTH(((obj_t) BgL_fz00_1222)) > 0L))
															{	/* Llib/module.scm 192 */
																BgL_test1851z00_2332 =
																	(STRING_REF(
																		((obj_t) BgL_fz00_1222), 0L) ==
																	(unsigned char) (FILE_SEPARATOR));
															}
														else
															{	/* Llib/module.scm 192 */
																BgL_test1851z00_2332 = ((bool_t) 0);
															}
														if (BgL_test1851z00_2332)
															{	/* Llib/module.scm 192 */
																BgL_arg1276z00_1811 = BgL_fz00_1222;
															}
														else
															{	/* Llib/module.scm 192 */
																BgL_arg1276z00_1811 =
																	BGl_filezd2namezd2canonicaliza7eza7zz__osz00
																	(BGl_makezd2filezd2namez00zz__osz00
																	(BgL_basez00_1223, BgL_fz00_1222));
															}
													}
												}
												BgL_newtail1082z00_1810 =
													MAKE_YOUNG_PAIR(BgL_arg1276z00_1811, BNIL);
											}
											SET_CDR(BgL_tail1081z00_1803, BgL_newtail1082z00_1810);
											{	/* Llib/module.scm 199 */
												obj_t BgL_arg1275z00_1813;

												BgL_arg1275z00_1813 = CDR(((obj_t) BgL_l1078z00_1802));
												{
													obj_t BgL_tail1081z00_2348;
													obj_t BgL_l1078z00_2347;

													BgL_l1078z00_2347 = BgL_arg1275z00_1813;
													BgL_tail1081z00_2348 = BgL_newtail1082z00_1810;
													BgL_tail1081z00_1803 = BgL_tail1081z00_2348;
													BgL_l1078z00_1802 = BgL_l1078z00_2347;
													goto BgL_zc3z04anonymousza31267ze3z87_1801;
												}
											}
										}
								}
							}
							BgL_tmp1848z00_2321 =
								BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00
								(BgL_modulez00_16, BgL_arg1265z00_1208, BgL_abasez00_18);
						}
						BGL_EXITD_POP_PROTECT(BgL_top1849z00_2322);
						BUNSPEC;
						BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00);
						return BgL_tmp1848z00_2321;
					}
				}
			}
		}

	}



/* &module-add-access! */
	obj_t BGl_z62modulezd2addzd2accessz12z70zz__modulez00(obj_t BgL_envz00_2075,
		obj_t BgL_modulez00_2076, obj_t BgL_filesz00_2077, obj_t BgL_abasez00_2078)
	{
		{	/* Llib/module.scm 189 */
			{	/* Llib/module.scm 192 */
				obj_t BgL_auxz00_2366;
				obj_t BgL_auxz00_2359;
				obj_t BgL_auxz00_2352;

				if (STRINGP(BgL_abasez00_2078))
					{	/* Llib/module.scm 192 */
						BgL_auxz00_2366 = BgL_abasez00_2078;
					}
				else
					{
						obj_t BgL_auxz00_2369;

						BgL_auxz00_2369 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(7320L), BGl_string1774z00zz__modulez00,
							BGl_string1776z00zz__modulez00, BgL_abasez00_2078);
						FAILURE(BgL_auxz00_2369, BFALSE, BFALSE);
					}
				if (PAIRP(BgL_filesz00_2077))
					{	/* Llib/module.scm 192 */
						BgL_auxz00_2359 = BgL_filesz00_2077;
					}
				else
					{
						obj_t BgL_auxz00_2362;

						BgL_auxz00_2362 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(7320L), BGl_string1774z00zz__modulez00,
							BGl_string1775z00zz__modulez00, BgL_filesz00_2077);
						FAILURE(BgL_auxz00_2362, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_modulez00_2076))
					{	/* Llib/module.scm 192 */
						BgL_auxz00_2352 = BgL_modulez00_2076;
					}
				else
					{
						obj_t BgL_auxz00_2355;

						BgL_auxz00_2355 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(7320L), BGl_string1774z00zz__modulez00,
							BGl_string1758z00zz__modulez00, BgL_modulez00_2076);
						FAILURE(BgL_auxz00_2355, BFALSE, BFALSE);
					}
				return
					BGl_modulezd2addzd2accessz12z12zz__modulez00(BgL_auxz00_2352,
					BgL_auxz00_2359, BgL_auxz00_2366);
			}
		}

	}



/* module-read-access-file */
	obj_t BGl_modulezd2readzd2accesszd2filezd2zz__modulez00(obj_t BgL_portz00_19)
	{
		{	/* Llib/module.scm 205 */
			{	/* Llib/module.scm 206 */
				obj_t BgL_hook1087z00_1235;

				BgL_hook1087z00_1235 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* Llib/module.scm 212 */
					obj_t BgL_g1089z00_1236;

					{	/* Llib/module.scm 212 */

						{	/* Llib/module.scm 212 */

							BgL_g1089z00_1236 =
								BGl_readz00zz__readerz00(((obj_t) BgL_portz00_19), BFALSE);
						}
					}
					{
						obj_t BgL_l1084z00_1238;
						obj_t BgL_h1085z00_1239;

						BgL_l1084z00_1238 = BgL_g1089z00_1236;
						BgL_h1085z00_1239 = BgL_hook1087z00_1235;
					BgL_zc3z04anonymousza31288ze3z87_1240:
						if (NULLP(BgL_l1084z00_1238))
							{	/* Llib/module.scm 212 */
								return CDR(BgL_hook1087z00_1235);
							}
						else
							{	/* Llib/module.scm 212 */
								bool_t BgL_test1857z00_2380;

								{	/* Llib/module.scm 207 */
									obj_t BgL_xz00_1261;

									BgL_xz00_1261 = CAR(((obj_t) BgL_l1084z00_1238));
									{	/* Llib/module.scm 207 */
										bool_t BgL_test1858z00_2383;

										if (PAIRP(BgL_xz00_1261))
											{	/* Llib/module.scm 207 */
												bool_t BgL_test1860z00_2386;

												{	/* Llib/module.scm 207 */
													obj_t BgL_tmpz00_2387;

													BgL_tmpz00_2387 = CAR(BgL_xz00_1261);
													BgL_test1860z00_2386 = SYMBOLP(BgL_tmpz00_2387);
												}
												if (BgL_test1860z00_2386)
													{	/* Llib/module.scm 207 */
														BgL_test1858z00_2383 =
															BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(CDR
															(BgL_xz00_1261));
													}
												else
													{	/* Llib/module.scm 207 */
														BgL_test1858z00_2383 = ((bool_t) 0);
													}
											}
										else
											{	/* Llib/module.scm 207 */
												BgL_test1858z00_2383 = ((bool_t) 0);
											}
										if (BgL_test1858z00_2383)
											{	/* Llib/module.scm 207 */
												BgL_test1857z00_2380 = ((bool_t) 1);
											}
										else
											{	/* Llib/module.scm 207 */
												{	/* Llib/module.scm 210 */
													obj_t BgL_list1336z00_1263;

													{	/* Llib/module.scm 210 */
														obj_t BgL_arg1337z00_1264;

														{	/* Llib/module.scm 210 */
															obj_t BgL_arg1338z00_1265;

															BgL_arg1338z00_1265 =
																MAKE_YOUNG_PAIR(BgL_xz00_1261, BNIL);
															BgL_arg1337z00_1264 =
																MAKE_YOUNG_PAIR(BGl_string1777z00zz__modulez00,
																BgL_arg1338z00_1265);
														}
														BgL_list1336z00_1263 =
															MAKE_YOUNG_PAIR(BGl_string1778z00zz__modulez00,
															BgL_arg1337z00_1264);
													}
													BGl_warningz00zz__errorz00(BgL_list1336z00_1263);
												}
												BgL_test1857z00_2380 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1857z00_2380)
									{	/* Llib/module.scm 212 */
										obj_t BgL_nh1086z00_1257;

										{	/* Llib/module.scm 212 */
											obj_t BgL_arg1334z00_1259;

											BgL_arg1334z00_1259 = CAR(((obj_t) BgL_l1084z00_1238));
											BgL_nh1086z00_1257 =
												MAKE_YOUNG_PAIR(BgL_arg1334z00_1259, BNIL);
										}
										SET_CDR(BgL_h1085z00_1239, BgL_nh1086z00_1257);
										{	/* Llib/module.scm 212 */
											obj_t BgL_arg1333z00_1258;

											BgL_arg1333z00_1258 = CDR(((obj_t) BgL_l1084z00_1238));
											{
												obj_t BgL_h1085z00_2403;
												obj_t BgL_l1084z00_2402;

												BgL_l1084z00_2402 = BgL_arg1333z00_1258;
												BgL_h1085z00_2403 = BgL_nh1086z00_1257;
												BgL_h1085z00_1239 = BgL_h1085z00_2403;
												BgL_l1084z00_1238 = BgL_l1084z00_2402;
												goto BgL_zc3z04anonymousza31288ze3z87_1240;
											}
										}
									}
								else
									{	/* Llib/module.scm 212 */
										obj_t BgL_arg1335z00_1260;

										BgL_arg1335z00_1260 = CDR(((obj_t) BgL_l1084z00_1238));
										{
											obj_t BgL_l1084z00_2406;

											BgL_l1084z00_2406 = BgL_arg1335z00_1260;
											BgL_l1084z00_1238 = BgL_l1084z00_2406;
											goto BgL_zc3z04anonymousza31288ze3z87_1240;
										}
									}
							}
					}
				}
			}
		}

	}



/* module-load-access-file */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(obj_t
		BgL_pathz00_20)
	{
		{	/* Llib/module.scm 223 */
			{
				obj_t BgL_filez00_1300;
				obj_t BgL_dirz00_1301;
				obj_t BgL_abasez00_1302;

				{	/* Llib/module.scm 246 */
					obj_t BgL_pathz00_1275;

					BgL_pathz00_1275 =
						BGl_filezd2namezd2canonicaliza7eza7zz__osz00(BgL_pathz00_20);
					{	/* Llib/module.scm 247 */
						obj_t BgL_top1862z00_2409;

						BgL_top1862z00_2409 = BGL_EXITD_TOP_AS_OBJ();
						BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00);
						BGL_EXITD_PUSH_PROTECT(BgL_top1862z00_2409,
							BGl_moduleszd2mutexzd2zz__modulez00);
						BUNSPEC;
						{	/* Llib/module.scm 247 */
							obj_t BgL_tmp1861z00_2408;

							{	/* Llib/module.scm 248 */
								obj_t BgL__ortest_1039z00_1276;

								BgL__ortest_1039z00_1276 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2afileszd2tableza2zd2zz__modulez00, BgL_pathz00_1275);
								if (CBOOL(BgL__ortest_1039z00_1276))
									{	/* Llib/module.scm 248 */
										BgL_tmp1861z00_2408 = BgL__ortest_1039z00_1276;
									}
								else
									{	/* Llib/module.scm 248 */
										if (bgl_directoryp(BSTRING_TO_STRING(BgL_pathz00_1275)))
											{
												obj_t BgL_dz00_1279;

												BgL_dz00_1279 = BgL_pathz00_1275;
											BgL_zc3z04anonymousza31343ze3z87_1280:
												{	/* Llib/module.scm 252 */
													obj_t BgL_filez00_1281;

													BgL_filez00_1281 =
														BGl_makezd2filezd2namez00zz__osz00(BgL_dz00_1279,
														BGl_string1779z00zz__modulez00);
													if (fexists(BSTRING_TO_STRING(BgL_filez00_1281)))
														{	/* Llib/module.scm 253 */
															BgL_filez00_1300 = BgL_filez00_1281;
															BgL_dirz00_1301 = BgL_dz00_1279;
															BgL_abasez00_1302 = BgL_pathz00_1275;
														BgL_zc3z04anonymousza31358ze3z87_1303:
															{	/* Llib/module.scm 234 */
																obj_t BgL_zc3z04anonymousza31360ze3z87_2079;

																BgL_zc3z04anonymousza31360ze3z87_2079 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza31360ze3ze5zz__modulez00,
																	(int) (1L), (int) (4L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31360ze3z87_2079,
																	(int) (0L), BgL_pathz00_20);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31360ze3z87_2079,
																	(int) (1L), BgL_filez00_1300);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31360ze3z87_2079,
																	(int) (2L), BgL_dirz00_1301);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31360ze3z87_2079,
																	(int) (3L), BgL_abasez00_1302);
																BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00
																	(BgL_filez00_1300,
																	BgL_zc3z04anonymousza31360ze3z87_2079);
															}
															BgL_tmp1861z00_2408 = BgL_filez00_1300;
														}
													else
														{	/* Llib/module.scm 255 */
															obj_t BgL_parentz00_1283;

															BgL_parentz00_1283 =
																BGl_dirnamez00zz__osz00(BgL_dz00_1279);
															{	/* Llib/module.scm 256 */
																bool_t BgL_test1866z00_2436;

																{	/* Llib/module.scm 256 */
																	long BgL_l1z00_1863;

																	BgL_l1z00_1863 =
																		STRING_LENGTH(BgL_parentz00_1283);
																	if (
																		(BgL_l1z00_1863 ==
																			STRING_LENGTH(BgL_dz00_1279)))
																		{	/* Llib/module.scm 256 */
																			int BgL_arg1421z00_1866;

																			{	/* Llib/module.scm 256 */
																				char *BgL_auxz00_2443;
																				char *BgL_tmpz00_2441;

																				BgL_auxz00_2443 =
																					BSTRING_TO_STRING(BgL_dz00_1279);
																				BgL_tmpz00_2441 =
																					BSTRING_TO_STRING(BgL_parentz00_1283);
																				BgL_arg1421z00_1866 =
																					memcmp(BgL_tmpz00_2441,
																					BgL_auxz00_2443, BgL_l1z00_1863);
																			}
																			BgL_test1866z00_2436 =
																				((long) (BgL_arg1421z00_1866) == 0L);
																		}
																	else
																		{	/* Llib/module.scm 256 */
																			BgL_test1866z00_2436 = ((bool_t) 0);
																		}
																}
																if (BgL_test1866z00_2436)
																	{	/* Llib/module.scm 256 */
																		BgL_tmp1861z00_2408 = BFALSE;
																	}
																else
																	{
																		obj_t BgL_dz00_2448;

																		BgL_dz00_2448 = BgL_parentz00_1283;
																		BgL_dz00_1279 = BgL_dz00_2448;
																		goto BgL_zc3z04anonymousza31343ze3z87_1280;
																	}
															}
														}
												}
											}
										else
											{	/* Llib/module.scm 250 */
												if (fexists(BSTRING_TO_STRING(BgL_pathz00_1275)))
													{	/* Llib/module.scm 259 */
														obj_t BgL_dirz00_1287;

														BgL_dirz00_1287 =
															BGl_dirnamez00zz__osz00(BgL_pathz00_1275);
														{
															obj_t BgL_abasez00_2455;
															obj_t BgL_dirz00_2454;
															obj_t BgL_filez00_2453;

															BgL_filez00_2453 = BgL_pathz00_1275;
															BgL_dirz00_2454 = BgL_dirz00_1287;
															BgL_abasez00_2455 = BgL_dirz00_1287;
															BgL_abasez00_1302 = BgL_abasez00_2455;
															BgL_dirz00_1301 = BgL_dirz00_2454;
															BgL_filez00_1300 = BgL_filez00_2453;
															goto BgL_zc3z04anonymousza31358ze3z87_1303;
														}
													}
												else
													{	/* Llib/module.scm 258 */
														BgL_tmp1861z00_2408 = BFALSE;
													}
											}
									}
							}
							BGL_EXITD_POP_PROTECT(BgL_top1862z00_2409);
							BUNSPEC;
							BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00);
							return BgL_tmp1861z00_2408;
						}
					}
				}
			}
		}

	}



/* &module-load-access-file */
	obj_t BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00(obj_t
		BgL_envz00_2080, obj_t BgL_pathz00_2081)
	{
		{	/* Llib/module.scm 223 */
			{	/* Llib/module.scm 227 */
				obj_t BgL_auxz00_2458;

				if (STRINGP(BgL_pathz00_2081))
					{	/* Llib/module.scm 227 */
						BgL_auxz00_2458 = BgL_pathz00_2081;
					}
				else
					{
						obj_t BgL_auxz00_2461;

						BgL_auxz00_2461 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1753z00zz__modulez00,
							BINT(8648L), BGl_string1780z00zz__modulez00,
							BGl_string1776z00zz__modulez00, BgL_pathz00_2081);
						FAILURE(BgL_auxz00_2461, BFALSE, BFALSE);
					}
				return
					BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(BgL_auxz00_2458);
			}
		}

	}



/* &<@anonymous:1360> */
	obj_t BGl_z62zc3z04anonymousza31360ze3ze5zz__modulez00(obj_t BgL_envz00_2082,
		obj_t BgL_portz00_2087)
	{
		{	/* Llib/module.scm 233 */
			{	/* Llib/module.scm 234 */
				obj_t BgL_pathz00_2083;
				obj_t BgL_filez00_2084;
				obj_t BgL_dirz00_2085;
				obj_t BgL_abasez00_2086;

				BgL_pathz00_2083 = ((obj_t) PROCEDURE_REF(BgL_envz00_2082, (int) (0L)));
				BgL_filez00_2084 = ((obj_t) PROCEDURE_REF(BgL_envz00_2082, (int) (1L)));
				BgL_dirz00_2085 = ((obj_t) PROCEDURE_REF(BgL_envz00_2082, (int) (2L)));
				BgL_abasez00_2086 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2082, (int) (3L)));
				{	/* Llib/module.scm 234 */
					bool_t BgL_tmpz00_2478;

					{
						obj_t BgL_fz00_2113;
						obj_t BgL_abasez00_2114;

						BGl_hashtablezd2putz12zc0zz__hashz00
							(BGl_za2afileszd2tableza2zd2zz__modulez00, BgL_pathz00_2083,
							BgL_filez00_2084);
						{	/* Llib/module.scm 235 */
							obj_t BgL_g1095z00_2117;

							BgL_g1095z00_2117 =
								BGl_modulezd2readzd2accesszd2filezd2zz__modulez00
								(BgL_portz00_2087);
							{
								obj_t BgL_l1093z00_2119;

								BgL_l1093z00_2119 = BgL_g1095z00_2117;
							BgL_zc3z04anonymousza31361ze3z87_2118:
								if (PAIRP(BgL_l1093z00_2119))
									{	/* Llib/module.scm 243 */
										{	/* Llib/module.scm 236 */
											obj_t BgL_accessz00_2120;

											BgL_accessz00_2120 = CAR(BgL_l1093z00_2119);
											{	/* Llib/module.scm 236 */
												obj_t BgL_infoz00_2121;

												{	/* Llib/module.scm 236 */
													bool_t BgL_test1871z00_2484;

													{	/* Llib/module.scm 236 */
														long BgL_l1z00_2122;

														BgL_l1z00_2122 = STRING_LENGTH(BgL_dirz00_2085);
														if ((BgL_l1z00_2122 == 1L))
															{	/* Llib/module.scm 236 */
																int BgL_arg1421z00_2123;

																{	/* Llib/module.scm 236 */
																	char *BgL_auxz00_2490;
																	char *BgL_tmpz00_2488;

																	BgL_auxz00_2490 =
																		BSTRING_TO_STRING
																		(BGl_string1756z00zz__modulez00);
																	BgL_tmpz00_2488 =
																		BSTRING_TO_STRING(BgL_dirz00_2085);
																	BgL_arg1421z00_2123 =
																		memcmp(BgL_tmpz00_2488, BgL_auxz00_2490,
																		BgL_l1z00_2122);
																}
																BgL_test1871z00_2484 =
																	((long) (BgL_arg1421z00_2123) == 0L);
															}
														else
															{	/* Llib/module.scm 236 */
																BgL_test1871z00_2484 = ((bool_t) 0);
															}
													}
													if (BgL_test1871z00_2484)
														{	/* Llib/module.scm 236 */
															BgL_infoz00_2121 =
																CDR(((obj_t) BgL_accessz00_2120));
														}
													else
														{	/* Llib/module.scm 238 */
															obj_t BgL_l01092z00_2124;

															BgL_l01092z00_2124 =
																CDR(((obj_t) BgL_accessz00_2120));
															{
																obj_t BgL_l1091z00_2126;

																BgL_l1091z00_2126 = BgL_l01092z00_2124;
															BgL_zc3z04anonymousza31365ze3z87_2125:
																if (NULLP(BgL_l1091z00_2126))
																	{	/* Llib/module.scm 240 */
																		BgL_infoz00_2121 = BgL_l01092z00_2124;
																	}
																else
																	{	/* Llib/module.scm 240 */
																		{	/* Llib/module.scm 239 */
																			obj_t BgL_arg1367z00_2127;

																			{	/* Llib/module.scm 239 */
																				obj_t BgL_fz00_2128;

																				BgL_fz00_2128 =
																					CAR(((obj_t) BgL_l1091z00_2126));
																				BgL_fz00_2113 = BgL_fz00_2128;
																				BgL_abasez00_2114 = BgL_dirz00_2085;
																				if (STRINGP(BgL_fz00_2113))
																					{	/* Llib/module.scm 228 */
																						bool_t BgL_test1875z00_2505;

																						{	/* Llib/module.scm 228 */
																							bool_t BgL_test1876z00_2506;

																							{	/* Llib/module.scm 228 */
																								long BgL_l1z00_2115;

																								BgL_l1z00_2115 =
																									STRING_LENGTH(BgL_fz00_2113);
																								if ((BgL_l1z00_2115 == 0L))
																									{	/* Llib/module.scm 228 */
																										int BgL_arg1421z00_2116;

																										{	/* Llib/module.scm 228 */
																											char *BgL_auxz00_2512;
																											char *BgL_tmpz00_2510;

																											BgL_auxz00_2512 =
																												BSTRING_TO_STRING
																												(BGl_string1781z00zz__modulez00);
																											BgL_tmpz00_2510 =
																												BSTRING_TO_STRING
																												(BgL_fz00_2113);
																											BgL_arg1421z00_2116 =
																												memcmp(BgL_tmpz00_2510,
																												BgL_auxz00_2512,
																												BgL_l1z00_2115);
																										}
																										BgL_test1876z00_2506 =
																											(
																											(long)
																											(BgL_arg1421z00_2116) ==
																											0L);
																									}
																								else
																									{	/* Llib/module.scm 228 */
																										BgL_test1876z00_2506 =
																											((bool_t) 0);
																									}
																							}
																							if (BgL_test1876z00_2506)
																								{	/* Llib/module.scm 228 */
																									BgL_test1875z00_2505 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Llib/module.scm 228 */
																									BgL_test1875z00_2505 =
																										(STRING_REF(BgL_fz00_2113,
																											0L) ==
																										(unsigned
																											char) (FILE_SEPARATOR));
																						}}
																						if (BgL_test1875z00_2505)
																							{	/* Llib/module.scm 228 */
																								BgL_arg1367z00_2127 =
																									BgL_fz00_2113;
																							}
																						else
																							{	/* Llib/module.scm 228 */
																								BgL_arg1367z00_2127 =
																									BGl_filezd2namezd2canonicaliza7eza7zz__osz00
																									(BGl_makezd2filezd2namez00zz__osz00
																									(BgL_abasez00_2114,
																										BgL_fz00_2113));
																							}
																					}
																				else
																					{	/* Llib/module.scm 227 */
																						BgL_arg1367z00_2127 = BgL_fz00_2113;
																					}
																			}
																			{	/* Llib/module.scm 240 */
																				obj_t BgL_tmpz00_2522;

																				BgL_tmpz00_2522 =
																					((obj_t) BgL_l1091z00_2126);
																				SET_CAR(BgL_tmpz00_2522,
																					BgL_arg1367z00_2127);
																			}
																		}
																		{	/* Llib/module.scm 240 */
																			obj_t BgL_arg1368z00_2129;

																			BgL_arg1368z00_2129 =
																				CDR(((obj_t) BgL_l1091z00_2126));
																			{
																				obj_t BgL_l1091z00_2527;

																				BgL_l1091z00_2527 = BgL_arg1368z00_2129;
																				BgL_l1091z00_2126 = BgL_l1091z00_2527;
																				goto
																					BgL_zc3z04anonymousza31365ze3z87_2125;
																			}
																		}
																	}
															}
														}
												}
												{	/* Llib/module.scm 242 */
													obj_t BgL_arg1363z00_2130;

													BgL_arg1363z00_2130 =
														CAR(((obj_t) BgL_accessz00_2120));
													BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00
														(BgL_arg1363z00_2130, BgL_infoz00_2121,
														BgL_abasez00_2086);
												}
											}
										}
										{
											obj_t BgL_l1093z00_2531;

											BgL_l1093z00_2531 = CDR(BgL_l1093z00_2119);
											BgL_l1093z00_2119 = BgL_l1093z00_2531;
											goto BgL_zc3z04anonymousza31361ze3z87_2118;
										}
									}
								else
									{	/* Llib/module.scm 243 */
										BgL_tmpz00_2478 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_2478);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__modulez00(void)
	{
		{	/* Llib/module.scm 17 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__configurez00(35034923L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
			return
				BGl_modulezd2initializa7ationz75zz__hashz00(482391669L,
				BSTRING_TO_STRING(BGl_string1782z00zz__modulez00));
		}

	}

#ifdef __cplusplus
}
#endif
